<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>  
   <script>
       
       let n;
       
       function calcFibonachi(n){
           let f0=0, f1=1, fn;    
           if(n>=2){
               for(let i=2; i<=n; i++){
               fn=f0+f1;
               f0=f1;
               f1=fn;
               }    
           } else if (n <= -1){
               for(let i=1; i >= n +2 ; i--){
               console.log(n);
               fn=f1-f0;
               f1=f0;
               f0=fn;
           }} else if (n > 0){
                     return 1;
           } else return 0;
             
           
           return fn;
       }
       
       n=prompt('Введите n: ','');
       alert ( n+'е число Фибоначчи = '+calcFibonachi(+n));

   </script> 
</body>
</html>